> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulsy.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Tokens

> Retrieves the tokens XFlow tracks for the specified blockchain.



## OpenAPI

````yaml GET /v1/external/chains/{blockchainId}/tokens
openapi: 3.0.1
info:
  title: ExternalAPI
  version: v1
servers:
  - url: https://api.pulsy.app
    description: XFlow Production API
security:
  - Basic: []
  - Bearer: []
paths:
  /v1/external/chains/{blockchainId}/tokens:
    get:
      tags:
        - External
      description: Retrieves the tokens XFlow tracks for the specified blockchain.
      operationId: ExportSupportedTokens
      parameters:
        - name: blockchainId
          in: path
          description: Identifier of the blockchain.
          required: true
          schema:
            type: string
        - name: Take
          in: query
          schema:
            maximum: 1000
            minimum: 0
            type: integer
            format: int32
        - name: Offset
          in: query
          schema:
            maximum: 100000
            minimum: 0
            type: integer
            format: int32
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/SupportedTokensExported'
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedTokensExported'
            text/json:
              schema:
                $ref: '#/components/schemas/SupportedTokensExported'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DefaultProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/DefaultProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
components:
  schemas:
    SupportedTokensExported:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SupportedTokenExported'
          nullable: true
        totalCount:
          type: integer
          format: int32
      additionalProperties: false
      description: Paged list of tokens tracked by XFlow for a specific blockchain.
    DefaultValidationProblemDetails:
      type: object
      properties:
        errorCode:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DefaultProblemDetails:
      type: object
      properties:
        errorCode:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    UnexpectedProblemDetails:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SupportedTokenExported:
      type: object
      properties:
        symbol:
          type: string
          description: Token ticker symbol.
          nullable: true
        name:
          type: string
          description: Token name.
          nullable: true
        contract:
          type: string
          description: Contract address of the token.
          nullable: true
        url:
          type: string
          description: Token URL on the chain explorer.
          nullable: true
      additionalProperties: false
      description: Token metadata provided by the external API for a specific blockchain.
  securitySchemes:
    Basic:
      type: http
      description: >-
        Basic auth required for external APIs. Example: "Authorization: Basic
        {base64EncodedPasswordString}"
      scheme: basic
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````